package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Escola;

public class RenderEscola implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Escola escola = (Escola) o;

		Listcell lc = new Listcell();

		lc = new Listcell(escola.getEscolaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(escola.getNombescola());
		lc.setParent(lstm);

		if (escola.getCiudad() != null) {
			lc = new Listcell(escola.getCiudad().getNombciudad());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);
		
		lstm.setAttribute("data", escola);
	}
}
